public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: selinux-testsuite: extend the CKI workaround
@ 2026-09-11 13:17 Ondrej Mosnacek
  0 siblings, 0 replies; only message in thread
From: Ondrej Mosnacek @ 2026-09-11 13:17 UTC (permalink / raw)
  To: git-commits

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : c377fe7bc1261b4c20ba443ad897da5c65000bd8
            Author : Ondrej Mosnacek <omosnace@redhat.com>
            Date   : 2019-12-28T13:46:20+01:00
            Stats  : +4/-3 in 1 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/c377fe7bc1261b4c20ba443ad897da5c65000bd8?branch=pr775-checkpolicy-revdeps

            Log:
            selinux-testsuite: extend the CKI workaround

CKI RHEL-8 builds are cross-compiled badly, so disable module_load also
when the kernel-devel built helper programs are unusable.

Signed-off-by: Ondrej Mosnacek <omosnace@redhat.com>

---
diff --git a/kernel/selinux-testsuite/runtest.sh b/kernel/selinux-testsuite/runtest.sh
index 422ac1f..6f1c35c 100755
--- a/kernel/selinux-testsuite/runtest.sh
+++ b/kernel/selinux-testsuite/runtest.sh
@@ -351,9 +351,10 @@ rlJournalStart
                     "Disable BPF tests on RHEL and non-x86_64 Fedora"
             fi
 
-            if ! [ -r "/lib/modules/$(uname -r)/build/Makefile" ]; then
-                # CKI mainline kernels don't ship with module build
-                # infrastructure just yet.
+            # CKI mainline kernels don't ship with module build infrastructure
+            # just yet. Also, RHEL-8 CKI kernel-devel programs are
+            # cross-compiled badly for alt arches, so try executing one of them.
+            if ! "/lib/modules/$(uname -r)/build/scripts/conmakehash" /dev/null &>/dev/null; then
                 exclude_tests+=" module_load"
             fi
 

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-09-11 13:17 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:17 [tests/selinux] pr775-checkpolicy-revdeps: selinux-testsuite: extend the CKI workaround Ondrej Mosnacek

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox